## org.eclipse.m2m.atl.adt.ui.common
Class AbstractAtlSelection

    java.lang.Object
      org.eclipse.jface.window.Window
          org.eclipse.jface.dialogs.Dialog
              org.eclipse.jface.dialogs.TrayDialog
                  org.eclipse.ui.dialogs.SelectionDialog
                      org.eclipse.ui.dialogs.SelectionStatusDialog
                          org.eclipse.m2m.atl.adt.ui.common.AbstractAtlSelection

All Implemented Interfaces:
  org.eclipse.jface.window.IShellProvider

Direct Known Subclasses:
  AtlLibrarySelection, AtlModelSelection

    public abstract class AbstractAtlSelection

extends org.eclipse.ui.dialogs.SelectionStatusDialog

An abstract selection dialog.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.jface.window.Window
`org.eclipse.jface.window.Window.IExceptionHandler`

Field Summary
`protected static java.lang.String` `NAMING_REGEX`

Fields inherited from class org.eclipse.jface.dialogs.Dialog
`blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, dialogArea, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

Fields inherited from class org.eclipse.jface.window.Window
`CANCEL, OK`

Constructor Summary
`AbstractAtlSelection(org.eclipse.swt.widgets.Shell parent, java.lang.String title)` Constructor.

Method Summary
`static java.lang.String` `checkIdentifier(java.lang.String identifier)` Checks the validity of an identifier.
`void` `create()`
`protected java.lang.String` `getDefaultName(java.lang.String prefix, java.util.Collection<java.lang.String> existingEntries)` Generates a default name.
`protected void` `nok(java.lang.String message)` Displays an error.
`protected void` `ok()` Updates the status to OK.
`protected void` `warn(java.lang.String message)` Displays a warning.

Methods inherited from class org.eclipse.ui.dialogs.SelectionStatusDialog
`computeResult, configureShell, createButtonBar, getFirstResult, okPressed, setImage, setResult, setStatusLineAboveButtons, updateButtonsEnableState, updateStatus`

Methods inherited from class org.eclipse.ui.dialogs.SelectionDialog
`createButtonsForButtonBar, createMessageArea, getDialogBoundsSettings, getDialogBoundsStrategy, getInitialElementSelections, getInitialSelections, getMessage, getOkButton, getResult, isResizable, setDialogBoundsSettings, setInitialElementSelections, setInitialSelections, setMessage, setResult, setSelectionResult, setTitle`

Methods inherited from class org.eclipse.jface.dialogs.TrayDialog
`close, closeTray, createHelpControl, getLayout, getTray, isDialogHelpAvailable, isHelpAvailable, openTray, setDialogHelpAvailable, setHelpAvailable`

Methods inherited from class org.eclipse.jface.dialogs.Dialog

`applyDialogFont, buttonPressed, cancelPressed, convertHeightInCharsToPixels, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, convertWidthInCharsToPixels, createButton, createContents, createDialogArea, dialogFontIsDefault, getBlockedHandler, getButton, getButtonBar, getCancelButton, getDialogArea, getImage, getInitialLocation, getInitialSize, getOKButton, initializeBounds, initializeDialogUnits, setBlockedHandler, setButtonLayoutData, setButtonLayoutFormData, shortenText`

Methods inherited from class org.eclipse.jface.window.Window

`canHandleShellCloseEvent, constrainShellSize, createShell, getConstrainedShellBounds, getContents, getDefaultImage, getDefaultImages, getDefaultOrientation, getParentShell, getReturnCode, getShell, getShellListener, getShellStyle, getWindowManager, handleFontChange, handleShellCloseEvent, open, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setParentShell, setReturnCode, setShellStyle, setWindowManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAMING_REGEX

    protected static final java.lang.String NAMING_REGEX

See Also:
  Constant Field Values

Constructor Detail

### AbstractAtlSelection

    public AbstractAtlSelection(org.eclipse.swt.widgets.Shell parent,
                                java.lang.String title)

  Constructor.

  Parameters:
    `parent` - the parent shell
    `title` - the title

Method Detail

### create

    public void create()

  Overrides:
    `create` in class `org.eclipse.ui.dialogs.SelectionStatusDialog`
  See Also:
    `SelectionStatusDialog.create()`

### nok

    protected void nok(java.lang.String message)

  Displays an error.

  Parameters:
    `message` - the message

### ok

    protected void ok()

  Updates the status to OK.

### warn

    protected void warn(java.lang.String message)

  Displays a warning.

  Parameters:
    `message` - the warning message

### getDefaultName

    protected java.lang.String getDefaultName(java.lang.String prefix,
                                              java.util.Collection<java.lang.String> existingEntries)

  Generates a default name.

  Parameters:
    `prefix` - the default prefix
    `existingEntries` - the existing entries
  Returns:
    the name

### checkIdentifier

    public static java.lang.String checkIdentifier(java.lang.String identifier)

  Checks the validity of an identifier.

  Parameters:
    `identifier` - the identifier to check
  Returns:
    the error message if exists, else null

Copyright 2007 IBM Corporation and others. All Rights Reserved.